package pl.edu.pwr.examples;

public class DaoPatternDemo {
	public static void main(String[] args) {

		StudentDao studentDao = new StudentDaoImpl();
		// add
		studentDao.addStudent(new Student("Jan", 1));
		studentDao.addStudent(new Student("Adam", 2));
		// getAll
		for (Student student : studentDao.getAllStudents()) {
			System.out.println("Student: [RollNo : " + student.getRollNo() + ", Name : " + student.getName() + " ]");
		}
		// get
		System.out.println("Student with rollNo=1 has name " + studentDao.getStudent(1).getName());
		// update
		studentDao.updateStudent(new Student("Roman", 1));
		// check
		System.out.println("Student with rollNo=1 has name " + studentDao.getStudent(1).getName());
		// delete
		studentDao.deleteStudent(studentDao.getStudent(1));
		// getAll
		for (Student student : studentDao.getAllStudents()) {
			System.out.println("Student: [RollNo : " + student.getRollNo() + ", Name : " + student.getName() + " ]");
		}
	}
}